Subject: Re: behaviour of .gitignore

From: Neal Kreitzinger <[email-masked]>
Date: Fri, 25 May 2012 17:41:09 -0500

On 5/25/2012 11:32 AM, J.V. wrote:
> On my local machine, I create a /bin/ directory added some bash
> scripts, comitted and then pushed them to the repository.
>
You should be able to click on that commit in gitk and see that the
files were added (confirm you really added them).

> Now today I do a git pull and they are gone but cannot see that
> anyone deleted them in the git log / history, but there is a /bin/
> entry in the .gitignore file.
>
If that ignore entry was there when you did the commit then maybe you
never really committed them.

> Does this mean, the files are still in the shared repository (orgin)
>  that I could get them back?
>
The gitk step above will tell you if they are there.

> I tried removing /bin/ from the git ignore and doing a pull but my
> /bin/ directory is still not there.
>
Its not looking like you really committed them like you thought you did.

> Is there anyway to do a pull now and have it look at my local
> gitignore and pull the directory back?
>
If the files were really committed, then you should have that commit in
your history also.  Therefore, you should be able to 'git checkout' 
those files into your worktree.

v/r,
neal